/*=======================================
            Project Filters
========================================*/

.filters-container {
    background-color: #F8F7F3;
    padding: 25px 0;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.filters-container .text {
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 1;
    color: #262E36;
    margin-right: 15px;
}

.filters-container .filters {
    line-height: 1;
}

.filters-container .filters.mobile {
    display: none;
}

.filters-container .filters span {
    display: inline-block;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 1;
    color: #262E36;
    margin: 0 5px;
    cursor: pointer;
    background-color: #ECE9DD;
    padding: 12px 15px;
    border-radius: 3px;
}

.filters-container .filters span.active,
.filters-container .filters span:hover {
    background-color: var(--black);
    color: var(--beige);
}

.filters-container .filters span:last-of-type {
    margin-right: 0;
}

@media (max-width: 800px) {

    .filters-container .filters {
        display: none;
    }

    .filters-container .filters.mobile {
        display: block;
    }

    .filters-container .filters.mobile select {
        width: 300px;
        border: none;
        background-color: #fff;
        border-radius: 3px;
    }

}

@media (max-width: 500px) {

    .filters-container .text {
        margin: 0 0 15px;
    }

    .filters-container .filters.mobile,
    .filters-container .filters.mobile select {
        width: 100%;
    }

}





/*=======================================
            Projects Grid
========================================*/

.projects-section {
    background-color: #F8F7F3;
}

.our-projects {

    h2.results-title {
        font-size: 40px;
        margin-bottom: 30px;
    }

    .projects-grid {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: unset;
        flex-wrap: wrap;

        .project {
            cursor: pointer;
            position: relative;
            width: calc(100% / 2 - 15px);
            position: relative;
            margin-bottom: 100px;
            border-bottom: 1px solid var(--black);

            @media (max-width: 1200px) {
                margin-bottom: 50px;
            }

            @media (max-width: 1000px) {
                width: 100%;
            }

            &:hover {
                .image .bg-image {
                    transform: scale(1.2);
                }

            }

            .image {
                aspect-ratio: 16/9;
                position: relative;
                overflow: hidden;

                .bg-image {
                    position: absolute;
                    inset: 0;
                    background-size: cover;
                    background-position: center;
                    background-repeat: no-repeat;
                    z-index: 1;
                    transition: transform 10s ease;
                    transform-origin: 100% 50%;
                }

                .cover {
                    z-index: 2;
                }

            }

            .details {
                padding: 18px 0;

                @media (max-width: 600px) {
                    padding: 15px 0;
                }

                .name {
                    font-style: normal;
                    font-weight: 500;
                    font-size: 30px;
                    line-height: 1.3;
                    letter-spacing: 0.02em;
                    color: #262E36;

                    @media (max-width: 1200px) {
                        font-size: 28px;
                    }

                    @media (max-width: 600px) {
                        font-size: 25px;
                    }

                }

                .location {
                    font-style: normal;
                    font-weight: 300;
                    font-size: 20px;
                    line-height: 1.2;
                    color: #262E36;

                    @media (max-width: 1200px) {
                        font-size: 18px;
                    }

                    @media (max-width: 600px) {
                        font-size: 16px;
                    }

                }

            }

        }

        .promo {
            width: 100%;
            height: 400px;
            margin: 0 0 100px 0;
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;

            @media (max-width: 1200px) {
                margin-bottom: 50px;
            }

            @media (max-width: 600px) {
                height: 300px;
            }

            .button {
                font-size: 30px;

                @media (max-width: 600px) {
                    font-size: 24px;
                }

            }

        }

    }

    .loadmore {
        text-align: center;
        padding-bottom: 50px;
        display: none;

        .button {
            display: inline-block;
        }

    }

}







/*=======================================
    Single Project - Related Products
========================================*/

.products-used {
    background-color: #ECE9DD;
    padding: 70px 0;

    @media (max-width: 900px) {
        padding: 50px 0;
    }

    .top {
        margin-bottom: 50px;

        @media (max-width: 900px) {
            margin-bottom: 30px;

            .button {
                display: none;
            }

        }

        h2 {
            font-style: normal;
            font-weight: 500;
            font-size: 50px;
            line-height: 1;
            color: #262E36;

            @media (max-width: 900px) {
                font-size: 40px;
            }

        }

    }

    .products-wrapper.woocommerce {

        ul.products {
            margin: -0 -8px;
        }

        .product {
            float: none !important;
            width: calc(25% - 16px);
            margin: 0 8px 20px 8px;

            @media (max-width: 1200px) {
                width: calc(100% / 3 - 16px);
            }

            @media (max-width: 900px) {
                width: calc(100% / 2 - 16px);
            }

            @media (max-width: 600px) {
                width: calc(100% - 16px);
            }

        }

    }

}